Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | Friends | List of all members
Ipopt::GenTMatrixSpace Class Reference

This is the matrix space for a GenTMatrix with fixed sparsity structure. More...

`#include <IpGenTMatrix.hpp>`

Inheritance diagram for Ipopt::GenTMatrixSpace:
[legend]

## Public Member Functions
GenTMatrix * | MakeNewGenTMatrix () const
| Method for creating a new matrix of this specific type. More...
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
Constructors / Destructors
| GenTMatrixSpace (Index nRows, Index nCols, Index nonZeros, const Index *iRows, const Index *jCols)
| Constructor, given the number of rows and columns, as well as the number of nonzeros and the position of the nonzero elements. More...
| ~GenTMatrixSpace ()
| Destructor. More...
Methods describing Matrix structure
Index | Nonzeros () const
| Number of non-zeros in the sparse matrix. More...
const Index * | Irows () const
| Row index of each non-zero element (counting starts at 1) More...
const Index * | Jcols () const
| Column index of each non-zero element (counting starts at 1) More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Number * | AllocateInternalStorage () const
| This method is only for the GenTMatrix to call in order to allocate internal storage. More...
void | FreeInternalStorage (Number *values) const
| This method is only for the GenTMatrix to call in order to de-allocate internal storage. More...

## Private Attributes
Sparsity structure of matrices generated by this matrix
space.
const Index | nonZeros_
Index * | jCols_
Index * | iRows_

## Friends
class | GenTMatrix

## Detailed Description

This is the matrix space for a GenTMatrix with fixed sparsity structure.

The sparsity structure is stored here in the matrix space.

Definition at line 164 of file IpGenTMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::GenTMatrixSpace::GenTMatrixSpace | ( | Index | nRows,
|  | Index | nCols,
|  | Index | nonZeros,
|  | const Index * | iRows,
|  | const Index * | jCols
| ) |  |

Constructor, given the number of rows and columns, as well as the number of nonzeros and the position of the nonzero elements.

Note that the counting of the nonzeros starts a 1, i.e., iRows[i]==1 and jCols[i]==1 refers to the first element in the first row. This is in accordance with the HSL data structure.

Ipopt::GenTMatrixSpace::~GenTMatrixSpace | ( |  | ) |
| inline

Destructor.

Definition at line 181 of file IpGenTMatrix.hpp.

## Member Function Documentation

GenTMatrix* Ipopt::GenTMatrixSpace::MakeNewGenTMatrix | ( |  | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 189 of file IpGenTMatrix.hpp.

virtual Matrix* Ipopt::GenTMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 196 of file IpGenTMatrix.hpp.

Index Ipopt::GenTMatrixSpace::Nonzeros | ( |  | ) | const
| inline

Number of non-zeros in the sparse matrix.

Definition at line 204 of file IpGenTMatrix.hpp.

const Index* Ipopt::GenTMatrixSpace::Irows | ( |  | ) | const
| inline

Row index of each non-zero element (counting starts at 1)

Definition at line 210 of file IpGenTMatrix.hpp.

const Index* Ipopt::GenTMatrixSpace::Jcols | ( |  | ) | const
| inline

Column index of each non-zero element (counting starts at 1)

Definition at line 216 of file IpGenTMatrix.hpp.

Number* Ipopt::GenTMatrixSpace::AllocateInternalStorage | ( |  | ) | const
| private

This method is only for the GenTMatrix to call in order to allocate internal storage.

void Ipopt::GenTMatrixSpace::FreeInternalStorage | ( | Number * | values | ) | const
| private

This method is only for the GenTMatrix to call in order to de-allocate internal storage.

## Friends And Related Function Documentation

friend class GenTMatrix
| friend

Definition at line 240 of file IpGenTMatrix.hpp.

## Member Data Documentation

const Index Ipopt::GenTMatrixSpace::nonZeros_
| private

Definition at line 227 of file IpGenTMatrix.hpp.

Index* Ipopt::GenTMatrixSpace::jCols_
| private

Definition at line 228 of file IpGenTMatrix.hpp.

Index* Ipopt::GenTMatrixSpace::iRows_
| private

Definition at line 229 of file IpGenTMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/TMatrices/IpGenTMatrix.hpp